Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSravan Kumar Lakkimsetti2020-12-03 11:44:06 +0000
committerSravan Kumar Lakkimsetti2020-12-03 11:44:06 +0000
commit850152792850583e3fc87791db540eae5265d4b3 (patch)
tree46d6203cdc58a67b5d4f144c1c550896720a421c
parente939a12f4209a4105dbd50b0ed3c706aff07e4bc (diff)
downloadeclipse.platform.releng.aggregator-850152792850583e3fc87791db540eae5265d4b3.tar.gz
eclipse.platform.releng.aggregator-850152792850583e3fc87791db540eae5265d4b3.tar.xz
eclipse.platform.releng.aggregator-850152792850583e3fc87791db540eae5265d4b3.zip
Bug 569427 - Add new smoke test configurations for ubuntu 20.10
Change-Id: Iec44da45ba6424b579e56d75abeabb2ef2572d69 Signed-off-by: Sravan Kumar Lakkimsetti <sravankumarl@in.ibm.com>
-rw-r--r--JenkinsJobs/SmokeTests/StartSmokeTests.groovy10
-rwxr-xr-xcje-production/dockerfiles/build-ubuntu-20.10.sh21
-rwxr-xr-xcje-production/dockerfiles/pushDockerImages.sh1
-rw-r--r--cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/Dockerfile45
-rw-r--r--cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/scripts/uid_entrypoint7
-rw-r--r--cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/scripts/xstartup_metacity.sh11
-rw-r--r--cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/scripts/xstartup_mutter.sh11
7 files changed, 106 insertions, 0 deletions
diff --git a/JenkinsJobs/SmokeTests/StartSmokeTests.groovy b/JenkinsJobs/SmokeTests/StartSmokeTests.groovy
index 54f078859..0292a1c18 100644
--- a/JenkinsJobs/SmokeTests/StartSmokeTests.groovy
+++ b/JenkinsJobs/SmokeTests/StartSmokeTests.groovy
@@ -29,6 +29,16 @@ pipeline {
build job: 'ep-pipeline-ubuntu20-java15', parameters: [string(name: 'buildId', value: "${params.buildId}")]
}
}
+ stage('Ubuntu 20.10 Java11'){
+ steps {
+ build job: 'ep-smoke-test-ubuntu20.10-x86_64-java15', parameters: [string(name: 'buildId', value: "${params.buildId}")]
+ }
+ }
+ stage('Ubuntu 20.10 Java15'){
+ steps {
+ build job: 'ep-smoke-test-ubuntu20.10-x86_64-java15', parameters: [string(name: 'buildId', value: "${params.buildId}")]
+ }
+ }
stage('Centos 7.x Java11'){
steps {
build job: 'ep-pipeline-cen7x-java11', parameters: [string(name: 'buildId', value: "${params.buildId}")]
diff --git a/cje-production/dockerfiles/build-ubuntu-20.10.sh b/cje-production/dockerfiles/build-ubuntu-20.10.sh
new file mode 100755
index 000000000..f27f1b034
--- /dev/null
+++ b/cje-production/dockerfiles/build-ubuntu-20.10.sh
@@ -0,0 +1,21 @@
+#!/bin/bash -x
+#*******************************************************************************
+# Copyright (c) 2020 IBM Corporation and others.
+#
+# This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License 2.0
+# which accompanies this distribution, and is available at
+# https://www.eclipse.org/legal/epl-2.0/
+#
+# SPDX-License-Identifier: EPL-2.0
+#
+# Contributors:
+# Sravan Kumar Lakkimsetti - initial API and implementation
+#*******************************************************************************
+
+set -e
+
+pushd ubuntu-gtk3-metacity/20.10-gtk3
+echo "Building Ubuntu 20.10 docker image"
+docker build --pull -t eclipse/platformreleng-ubuntu-gtk3-metacity:20.10 .
+popd
diff --git a/cje-production/dockerfiles/pushDockerImages.sh b/cje-production/dockerfiles/pushDockerImages.sh
index 0232b3b06..c92c74abc 100755
--- a/cje-production/dockerfiles/pushDockerImages.sh
+++ b/cje-production/dockerfiles/pushDockerImages.sh
@@ -21,3 +21,4 @@ docker push eclipse/platformreleng-centos-swt-build:7
docker push eclipse/platformreleng-centos-swt-build:gerrit
docker push eclipse/platformreleng-ubuntu-gtk3-metacity:18.04
docker push eclipse/platformreleng-ubuntu-gtk3-metacity:20.04
+docker push eclipse/platformreleng-ubuntu-gtk3-metacity:20.10
diff --git a/cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/Dockerfile b/cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/Dockerfile
new file mode 100644
index 000000000..c8b3891df
--- /dev/null
+++ b/cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/Dockerfile
@@ -0,0 +1,45 @@
+FROM ubuntu:20.10
+
+### user name recognition at runtime w/ an arbitrary uid - for OpenShift deployments
+COPY scripts/uid_entrypoint /usr/local/bin/uid_entrypoint
+RUN chmod u+x /usr/local/bin/uid_entrypoint && \
+ chgrp 0 /usr/local/bin/uid_entrypoint && \
+ chmod g=u /usr/local/bin/uid_entrypoint /etc/passwd
+ENTRYPOINT [ "uid_entrypoint" ]
+
+ENV DEBIAN_FRONTEND noninteractive
+RUN apt-get update && apt upgrade -y && apt dist-upgrade -y && apt-get install -y --no-install-recommends \
+ libgtk-3-0 \
+ tigervnc-standalone-server \
+ tigervnc-common \
+ metacity \
+ x11-xserver-utils \
+ libgl1-mesa-dri \
+ xfonts-base \
+ xfonts-scalable \
+ xfonts-100dpi \
+ xfonts-75dpi \
+ fonts-liberation \
+ fonts-liberation2 \
+ fonts-freefont-ttf \
+ fonts-dejavu \
+ fonts-dejavu-core \
+ fonts-dejavu-extra \
+ wget \
+ curl \
+ unzip \
+ vim \
+ && rm -rf /var/lib/apt/lists/* && apt autoremove -y
+
+ENV HOME=/home/vnc
+ENV DISPLAY :0
+
+RUN mkdir -p ${HOME}/.vnc && chmod -R 775 ${HOME} \
+ && echo "123456" | vncpasswd -f > ${HOME}/.vnc/passwd \
+ && chmod 600 ${HOME}/.vnc/passwd
+
+# Create a custom vnc xstartup file
+COPY scripts/xstartup_metacity.sh ${HOME}/.vnc/xstartup.sh
+RUN chmod 755 ${HOME}/.vnc/xstartup.sh
+
+USER 10001
diff --git a/cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/scripts/uid_entrypoint b/cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/scripts/uid_entrypoint
new file mode 100644
index 000000000..608f11708
--- /dev/null
+++ b/cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/scripts/uid_entrypoint
@@ -0,0 +1,7 @@
+#!/usr/bin/env sh
+if ! whoami &> /dev/null; then
+ if [ -w /etc/passwd ]; then
+ echo "${USER_NAME:-default}:x:$(id -u):0:${USER_NAME:-default} user:${HOME}:/sbin/nologin" >> /etc/passwd
+ fi
+fi
+exec "$@" \ No newline at end of file
diff --git a/cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/scripts/xstartup_metacity.sh b/cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/scripts/xstartup_metacity.sh
new file mode 100644
index 000000000..eef5b2c61
--- /dev/null
+++ b/cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/scripts/xstartup_metacity.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env /bin/sh
+
+[ -x /etc/vnc/xstartup ] && exec /etc/vnc/xstartup
+[ -r ${HOME}/.Xresources ] && xrdb ${HOME}/.Xresources
+
+Xvnc ${DISPLAY} -geometry 1440x900 -depth 16 -dpi 100 -PasswordFile ${HOME}/.vnc/passwd &
+sleep 2
+xsetroot -solid grey
+vncconfig -iconic &
+xhost +
+metacity --replace --sm-disable --display=${DISPLAY} & \ No newline at end of file
diff --git a/cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/scripts/xstartup_mutter.sh b/cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/scripts/xstartup_mutter.sh
new file mode 100644
index 000000000..1c5858e68
--- /dev/null
+++ b/cje-production/dockerfiles/ubuntu-gtk3-metacity/20.10-gtk3/scripts/xstartup_mutter.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env /bin/sh
+
+[ -x /etc/vnc/xstartup ] && exec /etc/vnc/xstartup
+[ -r ${HOME}/.Xresources ] && xrdb ${HOME}/.Xresources
+
+Xvnc ${DISPLAY} -geometry 1440x900 -depth 16 -dpi 100 -PasswordFile ${HOME}/.vnc/passwd &
+sleep 2
+xsetroot -solid grey
+vncconfig -iconic &
+xhost +
+mutter --replace --sm-disable --display=${DISPLAY} & \ No newline at end of file

Back to the top